%global oname ModemManager
%global _exclude_files_from_autoprov ^%{_libdir}/%{oname}/.*\\.so$

Summary:	Mobile broadband modem management service
Summary(de):	Mobile Breitband Modemmanagment Service
Name:		modemmanager
Version:	1.6.4
Release:	%mkrel 1
Source:		http://www.freedesktop.org/software/ModemManager/%{oname}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration/Networking
URL:		https://www.freedesktop.org/wiki/Software/ModemManager/
BuildRoot:	%defaultbuildroot
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	%{_lib}girepository-devel
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gudev1.0-devel
BuildRequires:	%{_lib}mbim-devel
BuildRequires:	%{_lib}vala-devel
BuildRequires:  xsltproc
Requires:	ppp
Requires:	usb_modeswitch

%description
The ModemManager service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%description -l de
Der ModemManager Service bietet eine konstante API zum betreiben der verschiedenen
Modems, inklusive Mobile Breitband (3G) Geräte.

%package devel
Summary:	Libraries and headers for adding ModemManager support to applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains various headers for accessing some ModemManager functionality
from applications.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x \
  --enable-more-warnings=no \
  --with-udev-base-dir=/lib/udev \
  --enable-gtk-doc=yes \
  --with-polkit=no \
  --disable-static \
  --without-qmi \
  --with-systemdsystemunitdir=no
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name "*.la" -delete
%find_lang %{oname}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.%{oname}1.conf
/lib/udev/rules.d/*
%{_bindir}/mmcli
%{_libdir}/girepository-1.0/%{oname}-1.0.typelib
%{_libdir}/libmm-glib.so.*
%{_libdir}/%{oname}
%{_sbindir}/%{oname}
%{_datadir}/bash-completion/completions/mmcli
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.%{oname}1.service
%{_datadir}/gir-1.0/%{oname}-1.0.gir
%{_datadir}/vala/vapi/libmm-glib.*
%{_iconsdir}/hicolor/22x22/apps/%{oname}.png
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%{_includedir}/libmm-glib
%{_includedir}/%{oname}/*.h
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/mm-glib.pc
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gtk-doc/html/libmm-glib
%{_datadir}/gtk-doc/html/%{oname}

%clean
%__rm -rf %{buildroot}

%changelog
* Fri May 05 2017 adrianomorselli <adrianomorselli> 1.6.4-1uplos2017
- update
